=== debian/changelog ===
kodi-game-libretro-snes9x (1.62.3.53-2) bookworm; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 28 Feb 2025 14:43:59 +0100
