=== debian/control ===
Source: kodi-game-libretro-snes9x
Section: games
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), cmake, kodi-addons-dev
Standards-Version: 4.7.2

Package: kodi-game-libretro-snes9x
Architecture: any-amd64 any-arm64 any-arm any-i386 any-powerpc any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, libretro-snes9x (>= 1.61)
Enhances: kodi
Description: Kodi integration for Snes9x
 Nintendo - SNES / SFC (Snes9x - Current) core for kodi's retroplayer
